{% extends "layout.html" %}
{% block body %}
<div id = "details" class="left">
  Details
</div>
<div class="main">
<div id="map" style="height: 800px;"></div>
<script type="text/javascript">
    // The first parameter are the coordinates of the center of the map
    // The second parameter is the zoom level
    //var map = L.map('map',preferCanvas = true).setView([40.712, -74.006], 11);
    var map = L.map('map',preferCanvas = true).locate({setView: true, maxZoom: 16});
    
    // {s}, {z}, {x} and {y} are placeholders for map tiles
    // {x} and {y} are the x/y of where you are on the map
    // {z} is the zoom level
    // {s} is the subdomain of cartodb
      var layer = L.tileLayer('http://{s}.basemaps.cartocdn.com/light_all/{z}/{x}/{y}.png', {
      attribution: '&copy; <a href="http://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors, &copy; <a href="http://cartodb.com/attributions">CartoDB</a>'
    });
    
    // Now add the layer onto the map
    map.addLayer(layer);
    var markers = L.markerClusterGroup();
    markers.on('click', showDetails);
    {% for station in stations %}
      var marker = L.marker([{{ station.latitude }}, {{ station.longitude }}])
      marker.bindPopup('<strong> {{ station.name }} </strong>').openPopup();
      marker.triplet = "{{ station.triplet }}";
      markers.addLayer(marker);
    {% endfor %}
    map.addLayer(markers);
    function showDetails(e) {
          $.get("details/"+e.layer.triplet, function( data ) {
            $('#details').html( data )
          }, );
    };
  </script>
</div>
{% endblock %}